%define tarball xf86-video-via
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

%define with_xvmc 1

%ifarch %{ix86} x86_64
%define with_dri 1
%else
%define with_dri 0
%endif

Summary:   Xorg X11 via video driver
Name:      xorg-x11-drv-via
Version:   0.2.1
Release:   9
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   via.xinf

Patch0:	    via-0.2.1-assert.patch
Patch1:	    via-0.2.1-build-fix.patch

ExclusiveArch: %{ix86} x86_64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0-2
%if %{with_xvmc}
BuildRequires: libXvMC-devel
%endif
%if %{with_dri}
BuildRequires: libdrm-devel >= 2.0-1
%endif
Requires:  xorg-x11-server-Xorg >= 1.1.0-2

%description 
X.Org X11 via video driver.

%if %{with_xvmc}
%package devel
Summary:   Xorg X11 via video driver XvMC development package
Group:     Development/System
Requires:  %{name} = %{version}-%{release}

%description devel
X.Org X11 via video driver XvMC development package.
%endif

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1 -b .assert
%patch1 -p1 -b .jx

%build
%configure --disable-static \
%if %{with_dri}
           --enable-dri
%else
           --disable-dri
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/via_drv.so
%{_datadir}/hwdata/videoaliases/via.xinf
%if %{with_xvmc}
%{_libdir}/libviaXvMC.so.1
%{_libdir}/libviaXvMC.so.1.0.0
%{_libdir}/libviaXvMCPro.so.1
%{_libdir}/libviaXvMCPro.so.1.0.0
%endif
#%dir %{_mandir}/man4x
%{_mandir}/man4/via.4*

%if %{with_xvmc}
%files devel
%defattr(-,root,root,-)
%{_libdir}/libviaXvMC.so
%{_libdir}/libviaXvMCPro.so
%endif

%changelog
* Fri Jan 5 2007 Soren Sandmann <sandmann@redhat.com> 0.2.1-9
- Remove blank-on-init.patch since it causes lockups (#217624)

* Wed Nov 8 2006 Soren Sandmann <sandmann@redhat.com> 0.2.1-8
- blank-on-init.patch, patch to blank framebuffer before starting X. (#210297).

* Mon Oct 2 2006 Adam Jackson <ajackson@redhat.com> 0.2.1-7
- via-0.2.1-build-fix.patch: De-pollute glibc's headers of X #defines.

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.2.1-6
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Adam Jackson <ajackson@redhat.com> 0.2.1-5
- via-0.2.1-assert.patch: include assert.h so we don't crash at runtime.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Mon Jun 19 2006 Mike A. Harris <mharris@redhat.com> 0.2.1-4
- Updated via.xinf to fix numerous errors an inaccuracies (#195806)
- Conditionalized DRI support by adding with_dri macro.

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 0.2.1-3
- Updated sdk dependency to pick up proto-devel automatically. (#192167)

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 0.2.1-2
- Rebuild for 7.1 ABI fix.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 0.2.1-1
- Update to 0.2.1 from 7.1RC1.

* Wed Feb 22 2006 Mike A. Harris <mharris@redhat.com> 0.1.33.2-2
- Install via.xinf, which was inadvertently left out of packaging (#182506)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 0.1.33.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 0.1.33.2-1
- Updated xorg-x11-drv-via to version 0.1.33.2 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 0.1.33.1-1
- Updated xorg-x11-drv-via to version 0.1.33.1 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.
- Re-enabled the XvMC libs, etc.
- Updated libdrm dependency to >= 2.0-1

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 0.1.32-1
- Updated xorg-x11-drv-via to version 0.1.32 from X11R7 RC2
- Add rpm macro with_xvmc, and disable it by default, as upstream does not
  build the via XvMC modules in RC2.

* Fri Nov 04 2005 Mike A. Harris <mharris@redhat.com> 0.1.31.1-1
- Updated xorg-x11-drv-via to version 0.1.31.1 from X11R7 RC1
- Fix *.la file removal.
- Added "BuildRequires: libXvMC-devel" dependency.
- Added "BuildRequires: libdrm-devel >= 1.0.5-1" dependency as it is required
  to build this version of the via driver aparently.
- Added xorg-x11-drv-via-0.1.31.1-buildfix-CVSHEAD.patch to fix the driver
  to actually build.
- Added 'devel' subpackage for XvMC .so

* Tue Oct 04 2005 Mike A. Harris <mharris@redhat.com> 0.1.31-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to x86, x86_64

* Fri Sep 02 2005 Mike A. Harris <mharris@redhat.com> 0.1.31-0
- Initial spec file for via video driver generated automatically
  by my xorg-driverspecgen script.
